Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(61)

Issue 1551563002: Fix partial information printed with blank window covering the center (Closed)

Created:
4 years, 11 months ago by jun_fang
Modified:
4 years, 11 months ago
Reviewers:
Tom Sepez, Lei Zhang
CC:
pdfium-reviews_googlegroups.com, kai_jing
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Fix partial information printed with blank window covering the center BUG=482206 R=thestig@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/8be8a4452a947ce125dd1feea00cc9fd23714ec6

Patch Set 1 #

Patch Set 2 : #

Total comments: 4

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -10 lines) Patch
M core/include/fpdfapi/fpdf_page.h View 2 chunks +3 lines, -0 lines 0 comments Download
M core/src/fpdfapi/fpdf_page/fpdf_page.cpp View 1 chunk +1 line, -0 lines 0 comments Download
M core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M fpdfsdk/src/fpdfview.cpp View 4 chunks +11 lines, -10 lines 0 comments Download

Messages

Total messages: 12 (2 generated)
jun_fang
Hi Tom and Lei, Please review this CL. Thanks!
4 years, 11 months ago (2015-12-28 07:46:12 UTC) #2
jun_fang
On 2015/12/28 07:46:12, jun_fang wrote: > Hi Tom and Lei, > > Please review this ...
4 years, 11 months ago (2015-12-28 08:23:06 UTC) #3
Lei Zhang
lgtm https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp File core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp (right): https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp#newcode713 core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp:713: if (!m_pObjectList->m_bHasImageMask && m_pLastImage->IsMask()) Can't this block reduce ...
4 years, 11 months ago (2015-12-28 19:08:18 UTC) #4
jun_fang
https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp File core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp (right): https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp#newcode713 core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp:713: if (!m_pObjectList->m_bHasImageMask && m_pLastImage->IsMask()) On 2015/12/28 19:08:18, Lei Zhang ...
4 years, 11 months ago (2015-12-28 23:33:05 UTC) #5
Lei Zhang
https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp File core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp (right): https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp#newcode713 core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp:713: if (!m_pObjectList->m_bHasImageMask && m_pLastImage->IsMask()) On 2015/12/28 23:33:05, jun_fang wrote: ...
4 years, 11 months ago (2015-12-28 23:42:57 UTC) #6
jun_fang
On 2015/12/28 23:42:57, Lei Zhang wrote: > https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp > File core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp (right): > > https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp#newcode713 ...
4 years, 11 months ago (2015-12-28 23:55:58 UTC) #7
Lei Zhang
On 2015/12/28 23:55:58, jun_fang wrote: > There is no problem if we have a test ...
4 years, 11 months ago (2015-12-29 00:11:27 UTC) #8
jun_fang
On 2015/12/29 00:11:27, Lei Zhang wrote: > On 2015/12/28 23:55:58, jun_fang wrote: > > There ...
4 years, 11 months ago (2015-12-29 02:13:21 UTC) #9
jun_fang
https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp File core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp (right): https://codereview.chromium.org/1551563002/diff/20001/core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp#newcode713 core/src/fpdfapi/fpdf_page/fpdf_page_parser.cpp:713: if (!m_pObjectList->m_bHasImageMask && m_pLastImage->IsMask()) On 2015/12/28 23:42:57, Lei Zhang ...
4 years, 11 months ago (2015-12-29 02:13:28 UTC) #10
jun_fang
4 years, 11 months ago (2015-12-29 02:18:57 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as
8be8a4452a947ce125dd1feea00cc9fd23714ec6 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698